[haiku-development] Re: reviving R1/Alpha2 & R1 Final discussions.

On 2010-03-17 at 20:19:40 [+0100], PulkoMandy <pulkomandy@xxxxxxxxx> wrote:
> Le Wed, 17 Mar 2010 20:04:40 +0100, Stephan Assmus <superstippi@xxxxxx> a
> écrit:
> 
> > For libpng, I am not sure if we have a binary compat issue. IIRC, libpng
> > was
> > provided by BeOS. The library that we now provide as "libpng.so" has a
> > different ABI. But I am not aware of any apps that directly used this,
> > and
> > which cannot be rebuilt.
> 
> libpng provide a way to build an 1.2-compatible version from the 1.4
> source. We could provide this one if we want binary compatibility.

I think this is even already done, but I am not sure, since I may be 
confused because of jam update-all. The problem however is that what we 
provide as "libpng.so" would need to be the 1.2 version.

Best regards,
-Stephan

Other related posts: